Subject: Re: Compiling apps to Mingw32 with cygwin
From: "Robert Collins" <[email-masked]>
To: "Jon Leichter" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Sun, 13 Jan 2002 10:23:48 +1100

===
----- Original Message -----
From: "Jon Leichter" <[email-masked]>

>
> Earnie and Robert,
>
> I'm a bit confused when I consider the commentary that you both have
> contributed on this topic. Here's what I have assessed. You two guys
correct
> me where I'm wrong.
>
> ===
>
> Robert has implied that using GCC with -mno-cygwin is virtually a
> cross-compile and should be treated as such. An up-to-date and well
written
> configure script would require that the user have i686-pc-mingw32-gcc
(which
> as a script or a binary invokes gcc -mno-cygwin). He would not
necessarily
> need to symlink other binutils to i686-pc-mingw32-<tool> because the
> configure script would find the build (Cygwin) tools after checking
for the
> host tools. He would invoke configure with the following:

Reread the thread. I indicated you should have those symlinks. It *may
work* without them, that is different from what *I would do*.

> Earnie. Your comments seem to contradict each other. In your last
email, it
> seems you are implying that "gcc -mno-cygwin" is NOT a cross-compile.
And
> then you went on to explain how I could safely use the switches if I
set
> symlinks to emulate a cross-compile. Which point of view do you
support
> Earnie?

gcc -mno-cygwin isn't a cross compile. It links with a different libc,
and puts different headers in the search path - that's all. It *also*
happens to meet the criteria for a cross compile in that
1) cygwin gcc accepts / and \ paths
2) the mingw libraries are present and the file format is understood.
3) The resulting binaries are compatible with the platform.

This is more of an accident than plan :}

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/